Page MenuHomePhabricator

Add UserMerge support to Gather
Closed, ResolvedPublic

Description

See https://lists.wikimedia.org/pipermail/wikitech-l/2015-May/081644.html. Gather stores user_ids so it needs to merge rows properly. Note that UserMerge has custom code to optimize the merging of watchlist entries, so that may be useful to look at.

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Legoktm created this task.May 16 2015, 7:59 PM
Legoktm raised the priority of this task from to High.
Legoktm updated the task description. (Show Details)
Legoktm added a project: Gather.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 16 2015, 7:59 PM
Catrope set Security to None.
Catrope moved this task from Scheduled to blocked by Readership on the Scrum-of-Scrums board.

This is the last extension that is blocking the deployment of UserMerge.

@JKatzWMF drawing your attention to this - any advice on how to move this along?

@Jdlrobson, @Jhernandez take a look at this--it is blocking SUL finalization. I think we all consider blocking other teams a big deal. Is it a lot of work?

Melos added a subscriber: Melos.Jun 1 2015, 5:40 PM
Tgr added a comment.Jun 1 2015, 5:41 PM

Already done in https://gerrit.wikimedia.org/r/#/c/212593/ (which is unfinished, but I can rip out the UserMerge part if it is urgent).

I think it can wait a day, it's not so urgent that we have to blow anything apart, but knowing when it will deploy would be helpful. Thank you so much for this :)

Change 215232 had a related patch set uploaded (by Gergő Tisza):
Add UserMerge hooks for gather_list.gl_user

https://gerrit.wikimedia.org/r/215232

Tgr claimed this task.Jun 1 2015, 11:36 PM
Tgr moved this task from To Do to Code Review on the Mobile-Web-Sprint-48-Voyage-of-the-Damned board.

Thank you so much for helping this get resolved quickly, everyone. :)

Change 215232 merged by jenkins-bot:
Add UserMerge hooks for gather_list.gl_user

https://gerrit.wikimedia.org/r/215232

Legoktm closed this task as Resolved.Jun 4 2015, 3:34 PM